### NAME

Tcl_PrintDouble - Convert floating value to string

### SYNOPSIS

#include <tcl.h>
Tcl_PrintDouble(interp, value, dst)

### ARGUMENTS

Tcl_Interp *interp (in)
  Before Tcl 8.0, the tcl_precision variable in this interpreter controlled the conversion. As of Tcl 8.0, this argument is ignored and 17 digits of precision are always used for conversion.

double value (in)
  Floating-point value to be converted.

char *dst (out)
  Where to store string representing value. Must have at least TCL_DOUBLE_SPACE characters of storage.

### DESCRIPTION

Tcl_PrintDouble generates a string that represents the value of value and stores it in memory at the location given by dst. It uses %g format to generate the string, with one special twist: the string is guaranteed to contain either a ``.'' or an ``e'' so that it doesn't look like an integer. Where %g would generate an integer with no decimal point, Tcl_PrintDouble adds ``.0''.

### KEYWORDS

conversion, double-precision, floating-point, string

    Copyright © 1989-1993 The Regents of the University of California.
    Copyright © 1994-1997 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.